> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Create price method

> Create a price method that you can use to set up the SKU price. Price method can be created based on SKU quantity, dimension of the SKU, or any other strategy that aligns with the business.



## OpenAPI

````yaml price-methods.openapi post /price-methods
openapi: 3.0.0
info:
  title: Offers - Price methods
  description: >-
    fabric Offers is a holistic e-commerce solution enabling Merchants to
    execute a range of pricing strategies to increase their competitiveness in
    the market and set the right promotion, to the right customer through the
    most effective channel. Offers is a cornerstone capability that can be sold
    as part of the integrated suite or stand on its own as an industry leading
    Pricing and Promotion system for B2B and B2C. The controls and automation
    provided will drastically reduce operational overhead and ensure merchants
    can quickly react to their fast-changing environment.<p>fabric e-commerce
    Offers endpoints allow you to set up and manage stock keeping unit (SKU)
    prices. Its wide range of coupon and promotion features let you design deals
    ranging from single-use, customer-specific coupons to site-wide promotions.
  version: 3.0.0
  x-audience: external-public
  termsOfService: https://fabric.inc/terms-of-use
  contact:
    name: Offers support
    email: support@fabric.inc
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
servers:
  - url: https://api.fabric.inc/v3
    description: Production environment
security: []
externalDocs:
  description: Find out more about Offers
  url: https://developer.fabric.inc/docs/offers-overview
paths:
  /price-methods:
    post:
      tags:
        - Price Methods
      summary: Create price method
      description: >-
        Create a price method that you can use to set up the SKU price. Price
        method can be created based on SKU quantity, dimension of the SKU, or
        any other strategy that aligns with the business.
      operationId: createPriceMethods
      parameters:
        - $ref: '#/components/parameters/xFabricTenantId'
        - $ref: '#/components/parameters/xFabricChannelId'
        - $ref: '#/components/parameters/xClientId'
        - $ref: '#/components/parameters/xFabricRequestId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/createPriceMethodRequest'
      responses:
        '201':
          description: Created
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponse'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createPriceMethodResponse'
        '400':
          description: Bad request
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponse'
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/priceMethodNameExist'
                  - $ref: '#/components/schemas/priceMethodNameNotValid'
                  - $ref: '#/components/schemas/missingTenantHeader'
                  - $ref: '#/components/schemas/error400'
        '401':
          description: Unauthorized
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponse'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error401'
        '500':
          description: Internal server error
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponse'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error500'
      security:
        - AuthorizationToken: []
components:
  parameters:
    xFabricTenantId:
      in: header
      name: x-fabric-tenant-id
      schema:
        type: string
        minLength: 24
        maxLength: 24
      required: true
      example: 5f328bf0b5f328bf0b5f328b
      description: >-
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
    xFabricChannelId:
      in: header
      name: x-fabric-channel-id
      schema:
        type: string
        example: '12'
      description: >-
        x-fabric-channel-id identifies the sales channel where the API request
        is being made; primarily for multichannel use cases. The channel ids are
        12 corresponding to US and 13 corresponding to Canada. The default
        channel id is 12. This field is required.
    xClientId:
      in: header
      name: x-client-id
      schema:
        type: string
      required: false
      example: copilot
      description: >-
        A unique identifier obtained from
        [Copilot](/v3/platform/settings/api-apps/getting-system-app-credentials)
        for the System app in the fabric ecosystem, essential for OpenID Connect
        authentication flows.
    xFabricRequestId:
      in: header
      name: x-fabric-request-id
      description: A unique request ID.
      required: false
      schema:
        type: string
        example: 263e731c-45c8-11ed-b878-0242ac120002
  schemas:
    createPriceMethodRequest:
      $ref: '#/components/schemas/priceMethodRequest'
    createPriceMethodResponse:
      $ref: '#/components/schemas/priceMethod'
    priceMethodNameExist:
      type: object
      description: Duplicated price method name error
      properties:
        type:
          description: The error code.
          type: string
          example: PRICEMETHOD_NAME_EXISTS
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: Price method name already exists
    priceMethodNameNotValid:
      type: object
      description: Invalid price method ID
      properties:
        type:
          description: The error code.
          type: string
          example: PRICEMETHOD_NAME_VALUE_CANNOT_BE_EMPTY
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: Price method name can't be empty
    missingTenantHeader:
      type: object
      description: Tenant header is missing
      properties:
        type:
          description: The error code.
          type: string
          example: TENANT_HEADER_REQUIRED
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: x-fabric-tenant-id header is required
    error400:
      type: object
      description: Bad request error
      properties:
        type:
          description: The error code.
          type: string
          example: BAD_REQUEST
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: Bad request
    error401:
      type: object
      description: Unauthorized error
      properties:
        type:
          description: The error code.
          type: string
          example: UNAUTHORIZED
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: Invalid credentials
    error500:
      type: object
      description: Internal server error
      properties:
        type:
          description: The error code.
          type: string
          example: INTERNAL_SERVER_ERROR
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: Internal server error
    priceMethodRequest:
      type: object
      description: A sample request to create price method.
      required:
        - name
      properties:
        name:
          type: string
          minLength: 3
          maxLength: 120
          description: The name of the price method.
          example: QUANTITY_PRICING
          enum:
            - QUANTITY_PRICING
            - SQUARE_AREA_PRICING
            - TABLE_PRICING_LENGTH_WIDTH
    priceMethod:
      type: object
      description: Price method record detail
      required:
        - id
        - name
        - createdAt
        - updatedAt
        - isDeleted
      properties:
        id:
          type: integer
          format: int32
          description: The ID of price method.
          example: 63807
        name:
          type: string
          description: The name of the price method.
          example: QUANTITY_PRICING
        createdAt:
          $ref: '#/components/schemas/createdAt'
        updatedAt:
          $ref: '#/components/schemas/updatedAt'
        isDeleted:
          $ref: '#/components/schemas/isDeleted'
    createdAt:
      type: string
      format: date-time
      description: Record's creation time
      example: '2019-08-20T14:15:22.000Z'
    updatedAt:
      type: string
      format: date-time
      description: Record's last updated time
      example: '2019-08-20T14:15:22.000Z'
    isDeleted:
      type: boolean
      description: 'true: Record is deleted<br>false: Record isn''t deleted'
      example: false
  headers:
    xFabricRequestIdResponse:
      description: Unique request ID
      schema:
        type: string
        example: 263e731c-45c8-11ed-b878-0242ac120002
  securitySchemes:
    AuthorizationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````